# -*- encoding: utf-8 -*-
# stub: devise-multi-radius-authenticatable 0.3.0 ruby lib

Gem::Specification.new do |s|
  s.name = "devise-multi-radius-authenticatable".freeze
  s.version = "0.3.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Michael Zaccari".freeze]
  s.date = "2020-04-15"
  s.description = "A new authentication strategy named radius_authenticatable is added to the list of warden strategies when the model requests it.  The radius server information is configured through the devise initializer. One or more servers may be configured.  When a user attempts to authenticate via radius, the radiustar gem is used to perform the authentication with each server until a response is received.  This authentication strategy can be used in place of the database_authenticatable or alongside it depending on the needs of the application.".freeze
  s.email = "michael.zaccari@gmail.com".freeze
  s.homepage = "http://github.com/mzaccari/devise-radius-authenticatable".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Devise extension to allow authentication via one or more RADIUS servers".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<devise>.freeze, ["~> 4.7", ">= 4.7.1"])
    s.add_runtime_dependency(%q<radiustar>.freeze, ["~> 0.0.8"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10.2.2"])
    s.add_development_dependency(%q<rails>.freeze, ["~> 4"])
    s.add_development_dependency(%q<sqlite3>.freeze, ["~> 1.3"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 2.14"])
    s.add_development_dependency(%q<rspec-rails>.freeze, ["~> 2.14"])
    s.add_development_dependency(%q<factory_girl>.freeze, ["~> 4.4"])
    s.add_development_dependency(%q<capybara>.freeze, ["~> 2.2.1"])
    s.add_development_dependency(%q<launchy>.freeze, [">= 0"])
    s.add_development_dependency(%q<ammeter>.freeze, ["~> 0.2"])
  else
    s.add_dependency(%q<devise>.freeze, ["~> 4.7", ">= 4.7.1"])
    s.add_dependency(%q<radiustar>.freeze, ["~> 0.0.8"])
    s.add_dependency(%q<rake>.freeze, ["~> 10.2.2"])
    s.add_dependency(%q<rails>.freeze, ["~> 4"])
    s.add_dependency(%q<sqlite3>.freeze, ["~> 1.3"])
    s.add_dependency(%q<rspec>.freeze, ["~> 2.14"])
    s.add_dependency(%q<rspec-rails>.freeze, ["~> 2.14"])
    s.add_dependency(%q<factory_girl>.freeze, ["~> 4.4"])
    s.add_dependency(%q<capybara>.freeze, ["~> 2.2.1"])
    s.add_dependency(%q<launchy>.freeze, [">= 0"])
    s.add_dependency(%q<ammeter>.freeze, ["~> 0.2"])
  end
end
